com.ibm.openpages.api.search

## Class SearchOptions

- java.lang.Object
- - com.ibm.openpages.api.search.SearchOptions

-     public class SearchOptions
      extends java.lang.Object

  Search method options specifying what to search and how to retrieve results.
  Since:
    7.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchOptions()` Construct with default options.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SearchFacetOptions` | `getFacetOption()` The list of types, identified by their Id, to scope the search.
    `SearchMode` | `getMode()` The search mode either BASIC or ADVANCED.
    `int` | `getRangeEnd()` Ending index of range to return in search results.
    `int` | `getRangeStart()` Starting index of range to return in search results.
    `java.lang.String` | `getSearchId()` Not used.
    `void` | `setFacetOption(SearchFacetOptions facet)` Set the list of types, identified by their Id, to scope the search.
    `void` | `setMode(SearchMode mode)` Sets the search mode either BASIC or ADVANCED.
    `void` | `setRangeEnd(int end)` Sets the ending index of range to return in search results.
    `void` | `setRangeStart(int start)` Set the starting index of range to return in search results.
    `void` | `setSearchId(java.lang.String searchId)` Not used.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SearchOptions

          public SearchOptions()

      Construct with default options.

  - ### Method Detail

    - #### getRangeStart

          public int getRangeStart()

      Starting index of range to return in search results. Default is 0.
      Returns:
        the start of the range

    - #### setRangeStart

          public void setRangeStart(int start)

      Set the starting index of range to return in search results.
      Parameters:
        `start` - the range start to set

    - #### getRangeEnd

          public int getRangeEnd()

      Ending index of range to return in search results. Default is 20.
      Returns:
        the end of the range

    - #### setRangeEnd

          public void setRangeEnd(int end)

      Sets the ending index of range to return in search results.
      Parameters:
        `end` - the range end to set

    - #### getMode

          public SearchMode getMode()

      The search mode either BASIC or ADVANCED. This does not have any impact at this time. Default is BASIC.
      Returns:
        the mode

    - #### setMode

          public void setMode(SearchMode mode)

      Sets the search mode either BASIC or ADVANCED. This does not have any impact at this time.
      Parameters:
        `mode` - the mode to set

    - #### getFacetOption

          public SearchFacetOptions getFacetOption()

      The list of types, identified by their Id, to scope the search. Default is a null list, which will default to search across all types.
      Returns:
        the list of types to include in the search or null if all types will be searched

    - #### setFacetOption

          public void setFacetOption(SearchFacetOptions facet)

      Set the list of types, identified by their Id, to scope the search. If typesToSearch is null, then all Object Types are in scope for the search.
      Parameters:
        `typesToSearch` - the typesToSearch to set

    - #### getSearchId

          public java.lang.String getSearchId()

      Not used.
      Returns:
        the searchId

    - #### setSearchId

          public void setSearchId(java.lang.String searchId)

      Not used.
      Parameters:
        `searchId` - the searchId to set

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.